%global namedreltag -cassandra-1
%global namedversion %{version}%{?namedreltag}
Name:          avro-cassandra
Version:       1.4.0
Release:       %mkrel 1
Summary:       Apache Avro™ Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://avro.apache.org/
# svn export http://svn.apache.org/repos/asf/avro/tags/release-1.4.0/lang/java/ avro-src-1.4.0/lang/java
# svn export http://svn.apache.org/repos/asf/avro/tags/release-1.4.0/share avro-src-1.4.0/share
# tar czf avro-src-1.4.0-svn.tar.gz avro-src-1.4.0
Source0:       avro-src-1.4.0-svn.tar.gz
# from http://repo1.maven.org/maven2/org/apache/cassandra/deps/avro/1.4.0-cassandra-1/ and modified
Source1:       avro-1.4.0-cassandra-1.pom
Patch0:        avro-1.4.0-no-ivy.patch
# see http://svn.apache.org/repos/asf/cassandra/tags/cassandra-... /lib/avro-1.4.0-sources-fixes.jar
Patch1:        avro-1.4.0-sources-fixes-Schema.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-eclipse
BuildRequires: apache-commons-lang
BuildRequires: apache-rat-core
BuildRequires: apache-rat-tasks
BuildRequires: backport-util-concurrent
BuildRequires: checkstyle
BuildRequires: hadoop
BuildRequires: hadoop-javadoc
BuildRequires: ivy
BuildRequires: jackson
BuildRequires: jackson-javadoc
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-javadoc
BuildRequires: javacc
BuildRequires: jboss-netty
BuildRequires: jetty
BuildRequires: jopt-simple
BuildRequires: junit4
#BuildRequires: maven-ant-tasks
BuildRequires: paranamer
BuildRequires: servletapi5
BuildRequires: servletapi5-javadoc
BuildRequires: slf4j
BuildRequires: velocity

Requires:      ant-eclipse
Requires:      apache-commons-lang
Requires:      apache-rat-tasks
Requires:      checkstyle
Requires:      hadoop
Requires:      jackson
Requires:      jakarta-commons-httpclient
Requires:      jboss-netty
Requires:      jetty
Requires:      jopt-simple
#Requires:      maven-ant-tasks
Requires:      paranamer
Requires:      servletapi5
Requires:      slf4j
Requires:      velocity

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch
Provides:      avro-java = %{version}

%description
Apache Avro™ Java (Cassandra)

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n avro-src-%{version}

%patch0 -p0
%patch1 -p0

cd lang/java
mkdir -p lib build/lib build/ant-eclipse/lib build/classes
ln -sf $(build-classpath ivy) lib/ivy-2.1.0.jar
ln -sf $(build-classpath ant-eclipse) build/ant-eclipse/lib/ant-eclipse-1.0-jvm1.2.jar
ln -sf $(build-classpath jackson/jackson-mapper-asl) lib/jackson-mapper-asl-1.4.2.jar
ln -sf $(build-classpath jackson/jackson-core-asl) lib/
ln -sf $(build-classpath servletapi5) lib/
ln -sf $(build-classpath backport-util-concurrent) lib/
ln -sf $(build-classpath slf4j/api) lib/slf4j-api-1.5.11.jar
ln -sf $(build-classpath slf4j/simple) lib/slf4j-simple-1.5.11.jar
ln -sf $(build-classpath velocity) lib/velocity-1.6.4.jar
ln -sf $(build-classpath junit4) lib/junit-4.8.1.jar
ln -sf $(build-classpath checkstyle) lib/checkstyle-5.0.jar
ln -sf $(build-classpath paranamer) lib/paranamer-2.2.jar
ln -sf $(build-classpath paranamer-ant) lib/paranamer-ant-2.2.jar
ln -sf $(build-classpath paranamer-generator) lib/
ln -sf $(build-classpath jetty/jetty) lib/jetty-6.1.22.jar
ln -sf $(build-classpath jetty/jetty-util) lib/
ln -sf $(build-classpath velocity) lib/velocity-1.6.4.jar
ln -sf $(build-classpath junit4) lib/junit-4.8.1.jar
ln -sf $(build-classpath checkstyle) lib/checkstyle-5.0.jar
ln -sf $(build-classpath apache-rat/apache-rat-core) lib/apache-rat-0.6.jar
ln -sf $(build-classpath apache-rat/apache-rat-tasks) lib/
ln -sf $(build-classpath javacc) lib/javacc.jar
ln -sf $(build-classpath commons-lang) lib/commons-lang-2.5.jar
#ln -sf $(build-classpath maven-ant-tasks) lib/maven-ant-tasks-2.1.0.jar
ln -sf $(build-classpath jopt-simple) lib/jopt-simple-3.2.jar
ln -sf $(build-classpath hadoop/core) lib/hadoop-core-0.20.2.jar
ln -sf $(build-classpath commons-httpclient) lib/commons-httpclient-3.0.1.jar
ln -sf $(build-classpath jboss/netty) lib/netty-3.2.1.Final.jar

%build

cd lang/java
ant \
  -Djavadoc.link.java=%_javadocdir/java \
  -Djavadoc.link.jackson=%_javadocdir/jackson \
  -Djavadoc.link.servlet=%_javadocdir/tomcat5-servlet-2.4-api \
  -Djavadoc.link.hadoop=%_javadocdir/hadoop \
  jar tools javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
cd lang/java

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/avro-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 build/avro-tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
#dd_to_maven_depmap org.apache.avro avro %{namedversion} JPP %{name}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/doc/api/java/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-tools.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 gil <gil> 1.4.0-1.mga2
+ Revision: 157103
- imported package avro-cassandra

